### Function

# Gimp Metadata get_guid

since: 2.10

#### Declaration [src]

    gchar*
    gimp_metadata_get_guid (
      void
    )

#### Description [src]

Generate Version 4 UUID/GUID.

Available since: 2.10

#### Return value

Type: `gchar*`

The new GUID/UUID string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.